| Home · All Classes · All Namespaces · Modules · Functions · Files

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

Here is a list of all class members with links to the classes they belong to:

### - i -

- icon() : Tp::Account
- iconChanged() : Tp::Account
- iconName() : Tp::Account , Tp::Profile::Presence , Tp::ProtocolInfo , Tp::Account , Tp::ManagerFile , Tp::Profile
- iconNameChanged() : Tp::Account
- id() : Tp::Contact , Tp::Profile::Presence , Tp::MediaStream
- identifiers() : Tp::PendingContacts
- immutableProperties() : Tp::PendingChannel , Tp::ChannelRequest , Tp::Channel
- incomingFileTransfer() : Tp::ChannelClassSpec
- IncomingFileTransferChannel() : Tp::IncomingFileTransferChannel
- indexOf() : Tp::ReferencedHandles
- info() : Tp::Contact , Tp::PendingContactInfo
- infoChanged() : Tp::Contact
- InfoFields() : Tp::Contact::InfoFields
- infoFields() : Tp::Contact , Tp::PendingContactInfo
- infoFieldsChanged() : Tp::Contact
- initialOffset() : Tp::FileTransferChannel
- initialOffsetDefined() : Tp::FileTransferChannel
- initialPrepare() : Tp::DBusProxyFactory
- initiatorContact() : Tp::Channel
- interface() : Tp::OptionalInterfaceFactory< DBusProxySubclass >
- interfaces() : Tp::OptionalInterfaceFactory< DBusProxySubclass > , Tp::ReadinessHelper
- interfacesRequested() : Tp::PendingContactAttributes
- InterfaceSupportedChecking : Tp::OptionalInterfaceFactory< DBusProxySubclass >
- internalRequestAllProperties() : Tp::AbstractInterface
- internalRequestProperty() : Tp::AbstractInterface
- internalSetProperty() : Tp::AbstractInterface
- Introspectable() : Tp::ReadinessHelper::Introspectable
- Introspectables : Tp::ReadinessHelper
- IntrospectFunc : Tp::ReadinessHelper
- invalidAccountPaths() : Tp::AccountManager
- invalidAccounts() : Tp::AccountManager
- invalidAccountsSet() : Tp::AccountManager
- invalidate() : Tp::AbstractInterface , Tp::DBusProxy
- invalidated() : Tp::DBusProxy
- invalidateProxy() : Tp::TestBackdoors
- invalidationMessage() : Tp::AbstractInterface , Tp::DBusProxy
- invalidationReason() : Tp::AbstractInterface , Tp::DBusProxy
- invalidHandles() : Tp::PendingContactAttributes , Tp::PendingContacts , Tp::PendingHandles
- invalidIdentifiers() : Tp::PendingContacts
- invalidNames() : Tp::PendingHandles
- inviteContacts() : Tp::TextChannel
- isAvatarTokenKnown() : Tp::Contact
- isBlocked() : Tp::Contact
- isChangingPresence() : Tp::Account
- isConference() : Tp::Channel
- isConnected() : Tp::FileTransferChannel
- isCritical() : Tp::Feature
- isDisabled() : Tp::Profile::Presence
- isEmpty() : Tp::ReferencedHandles
- isEnabled() : Tp::Account
- isError() : Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > , Tp::PendingOperation
- isFake() : Tp::Profile
- isFilterValid() : Tp::AccountSet
- isFinished() : Tp::FileTransferChannel , Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > , Tp::PendingOperation
- isForHandles() : Tp::PendingContacts
- isForIdentifiers() : Tp::PendingContacts
- isFromChannel() : Tp::ReceivedMessage
- isMandatory() : Tp::Profile::Parameter
- isNull() : Tp::WeakPtr< T > , Tp::SharedPtr< T >
- isOnline() : Tp::Account
- isReady() : Tp::ReadinessHelper , Tp::ReadyObject , Tp::ReadinessHelper
- isReference() : Tp::PendingHandles
- isRequest() : Tp::PendingHandles
- isRequested() : Tp::ChannelClassSpec , Tp::Channel
- isRequired() : Tp::ProtocolParameter
- isRequiredForRegistration() : Tp::ProtocolParameter
- isRescued() : Tp::ReceivedMessage
- isScrollback() : Tp::ReceivedMessage
- isSecret() : Tp::ProtocolParameter
- isSpecificToContact() : Tp::CapabilitiesBase
- isSpecificToDBusInterface() : Tp::Message
- isSubsetOf() : Tp::ChannelClassSpec
- isTruncated() : Tp::Message
- isUpgrade() : Tp::PendingContacts
- isValid() : Tp::Profile , Tp::Feature , Tp::Channel::GroupMemberChangeDetails , Tp::Connection::ErrorDetails , Tp::AccountPropertyFilter , Tp::PendingOperation , Tp::GenericCapabilityFilter< T > , Tp::ManagerFile , Tp::Presence , Tp::ContactLocation , Tp::DBusProxy , Tp::ContactSearchChannel::SearchStateChangeDetails , Tp::AbstractInterface , Tp::ChannelClassSpec , Tp::RequestableChannelClassSpec , Tp::Contact::InfoFields , Tp::GenericPropertyFilter< T > , Tp::Filter< T >
- isValidAccount() : Tp::Account